FreeMat

- Main Page
- Related Pages

vtkColorMaterialHelper

Section: Visualization Toolkit Rendering Classes

# Usage

vtkColorMaterialHelper is a helper to assist in simulating the ColorMaterial behaviour of the default OpenGL pipeline. Look at vtkColorMaterialHelper_s for available GLSL functions.

To create an instance of class vtkColorMaterialHelper, simply invoke its constructor as follows

      obj = vtkColorMaterialHelper

# Methods

The class vtkColorMaterialHelper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkColorMaterialHelper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkColorMaterialHelper = obj.NewInstance ()`
- `vtkColorMaterialHelper = obj.SafeDownCast (vtkObject o)`
- `obj.PrepareForRendering ()` - Prepares the shader i.e. reads color material paramters state from OpenGL. This must be called before the shader is bound.
- `obj.Render ()` - Uploads any uniforms needed. This must be called only after the shader has been bound, but before rendering the geometry.